
import React from 'react';
import Icon from 'react-icon-base';

const SlArrowUpCircle = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1024 448c0 282.784 -229.232 512 -512 512c-282.784 0 -512 -229.216 -512 -512c0 -282.768 229.216 -512 512 -512c282.768 0 512 229.232 512 512zM63.0078 448c0 247.024 201.968 448 448.992 448c247.024 0 448 -200.976 448 -448s-200.976 -448 -448 -448 s-448.992 200.976 -448.992 448zM544.336 223.68v360.464l115.76 -115.76c12.4961 -12.4961 32.752 -12.4961 45.248 0s12.4961 32.752 0 45.248l-194 189.008l-194 -189.008c-6.25586 -6.25586 -9.37598 -14.4316 -9.37598 -22.624s3.12012 -16.3682 9.37598 -22.624 c12.4961 -12.4961 32.752 -12.4961 45.248 0l117.744 117.76v-362.464c0 -17.6797 14.3359 -32 32 -32c17.6641 0 32 14.3203 32 32z"/></g>
    </Icon>
);

export default SlArrowUpCircle;
